<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Ocommercial;

class OcommercialController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
        return view('ocommercial.index');
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('ocommercial.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
        $this->validate($request, [
        'image' => 'required|mimes:jpeg,png,jpg,zip,pdf|max:51200',  
        'imagename' => 'required'
        ]);

        $image = $request->image;
        $image_new_name = time().$image->getClientOriginalName();
        $image->move('upload/ocommercial', $image_new_name);

        $ocommercial = Ocommercial::create([
            'image' => 'upload/ocommercial/'.$image_new_name,
            'imagename' => $request->imagename
        ]);
        return redirect()->route('ocommercial.index');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show()
    {
        //
        $ocommercials = Ocommercial::all();
        return view('ocommercial.index')->with('ocommercials', $ocommercials);

    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //  
        $ocommercial = Ocommercial::find($id);
        return view('ocommercial.edit')->with('ocommercial', $ocommercial);
    }


    public function display()
    {
        //
        $ocommercials = Ocommercial::all();
        return view('fancy')->with('ocommercials', $ocommercials);

    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
        $this->validate($request,[
            'imagename' => 'required'
        ]);

        $ocommercial = Ocommercial::find($id);
        if($request->hasFile('image'))
        {
            $image = $request->image;
            $image_new_name = time(). $image->getClientOriginalName();
            $image->move('upload/ocommercial', $image_new_name);
            $ocommercial->image = 'upload/ocommercial/'.$image_new_name;
        }
        $ocommercial->imagename = $request->imagename;

        $ocommercial->save();
        return redirect()->route('ocommercial.index');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
        Ocommercial::find($id)->delete();
        return redirect()->route('ocommercial.index');
    }
}
