<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Ofactory;

class OfactoryController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
        return view('ofactory.index');
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('ofactory.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
        $this->validate($request, [
        'image' => 'required|mimes:jpeg,png,jpg,zip,pdf|max:51200',  
        'imagename' => 'required'
        ]);

        $image = $request->image;
        $image_new_name = time().$image->getClientOriginalName();
        $image->move('upload/ofactory', $image_new_name);

        $ofactory = Ofactory::create([
            'image' => 'upload/ofactory/'.$image_new_name,
            'imagename' => $request->imagename
        ]);
        return redirect()->route('ofactory.index');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show()
    {
        //

        $ofactorys = Ofactory::all();
        return view('ofactory.index')->with('ofactorys', $ofactorys);

    }


        public function display()
    {
        //

        $ofactorys = Ofactory::all();
        return view('cutlery')->with('ofactorys', $ofactorys);

    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //  
        $ofactory = Ofactory::find($id);
        return view('ofactory.edit')->with('ofactory', $ofactory);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
        $this->validate($request,[
            'imagename' => 'required'
        ]);

        $ofactory = Ofactory::find($id);
        if($request->hasFile('image'))
        {
            $image = $request->image;
            $image_new_name = time(). $image->getClientOriginalName();
            $image->move('upload/ofactory', $image_new_name);
            $ofactory->image = 'upload/ofactory/'.$image_new_name;
        }
        $ofactory->imagename = $request->imagename;

        $ofactory->save();
        return redirect()->route('ofactory.index');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
        Ofactory::find($id)->delete();
        return redirect()->route('ofactory.index');
    }
}
